### Property

# Handy Squeezer:xalign

since: 1.0

#### Declaration

    property xalign: float [ read, write ]

#### Description [src]

The horizontal alignment, from 0 (start) to 1 (end).

The xalign property determines the horizontal alignment of the children inside the squeezer’s size allocation. Compare this to `GtkWidget:halign`, which determines how the squeezer’s size allocation is positioned in the space available for the squeezer.

This will affect the position of children too wide to fit in the squeezer as they are fading out.

Type:`gfloat`

Available since: 1.0

Default value | 0.500000
Getter method | `hdy_squeezer_get_xalign()`
Setter method | `hdy_squeezer_set_xalign()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no